Issue 20020

Summary: Cell-Select, Table-Select commands and Table-Format command-name
Product: Writer Reporter: Unknown <non-migrated>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Minor    
Priority: P3 CC: elish, issues
Version: OOo 1.1 RC4   
Target Milestone: ---   
Hardware: PC   
OS: Windows, all   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---

Description Unknown 2003-09-25 06:16:25 UTC
This enhancement request is primarily targeted at making MS Office users more
comfortable with OpenOffice.

The task the user wants to accomplish (user story):

    Alter a particular table-cell, table-row or table-column's border or
background.  (*Not the entire table*, just a particular cell or cell-range).

OO does not currently have any commands I could find for "select cell".  It's
possible to select a range of cells by dragging between cells and then shrink
back to the single cell, but there's nothing obvious, particularly nothing in
the menus or right-click menus for such selections.  It would be useful to add
such commands for users, particularly those not familiar with mouse-dragging as
a selection tool.  Users are accustomed to direct-manipulation interfaces where
they select the thing they want to alter, then alter it using context-sensitive
commands.

OO also does not alter menu commands (right-click or main-menu) to reflect the
fact that cells are going to be targetted rather than the entire table, i.e. to
say "cell properties" or "cell style" or "format cell" or even "cells...",
instead, "Table..." is used everywhere.  As a result, the user doesn't expect
the "Table..." option to be focussed on the current cell, they expect it to
alter the entire table.  They spend time looking for a way to select the cell so
that the menu will alter to show "Format Cells" or the like.

(Note that "Table..." is the same name given to the Insert|Table... command). 
This is especially problematic in the right-click menu, where there's no context
"Format" to suggest what the Table... option does (it seems more likely to alter
the table structure than the format)).

There is no help section on "selecting cells" or "select cell" or similar
topics.  My user (MS Office neophyte user) spent 10 minutes or so trying to
figure out how to select the whole cell with double and triple clicks, and
clicks on the margins of the cell, before finally giving up on being able to
select a cell.  Eventually she tried Format|Table... option out of desperation,
expecting it to be something entirely different than what it was, (namely
something that would let her insert a new Table as an element of formatting).

Suggestions:
    Use "Format Table..." rather than "Table..." as the name for the
Table-formatting dialog.
    Use "Format Cells..." when cells are selected, and provide a seperate
"Format Table..." option.  They can link to the same dialog if necessary, the
idea being to assure the user that they will be altering only the selected
cells, not the whole table.
    Add "Select Cell", and "Select Table" commands to menus.
Comment 1 mci 2003-10-22 12:43:33 UTC
*** Issue 20021 has been marked as a duplicate of this issue. ***
Comment 2 mci 2003-11-26 12:57:58 UTC
reassigned to bh
Comment 3 ace_dent 2008-05-16 02:13:27 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 bettina.haberer 2010-05-21 14:46:54 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 5 panricarfe 2010-11-10 17:28:09 UTC
Created attachment 73494
Comment 6 Edwin Sharp 2014-04-11 14:29:41 UTC
Format Table... instead Table...
Add Select to Cell

AOO410m16(Build:9762)  -  Rev. 1585426
2014-04-07 10:29:13 (Mo, 07 Apr 2014)
Win 7